package com.hand.hls.dp.dto;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import com.hand.hap.system.dto.BaseDTO;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.util.Objects;

/**
 * @author <a href="mailto:zhangnet14@gmail.com">Spencer Chang</a>
 * @date 2020/4/18 16:01
 * @since
 */
@ExtensionAttribute(disable = true)
@Table(name = "sys_dp_execute_history")
public class SysDpExecuteHistory extends BaseDTO {
    @Id
    @GeneratedValue
    private Long dehId;
    private Long dehUserId;
    private String dehIp;
    private Date dehExecuteTime;
    private String dehExecuteType;
    private Integer dehRowCount;
    private String dehContext;
    private String dehStatus;
    private String dehError;
    private String dehBakData;

    public Long getDehId() {
        return dehId;
    }

    public void setDehId(Long dehId) {
        this.dehId = dehId;
    }

    public Long getDehUserId() {
        return dehUserId;
    }

    public void setDehUserId(Long dehUserId) {
        this.dehUserId = dehUserId;
    }

    public String getDehIp() {
        return dehIp;
    }

    public void setDehIp(String dehIp) {
        this.dehIp = dehIp;
    }

    public Date getDehExecuteTime() {
        return dehExecuteTime;
    }

    public void setDehExecuteTime(Date dehExecuteTime) {
        this.dehExecuteTime = dehExecuteTime;
    }

    public String getDehExecuteType() {
        return dehExecuteType;
    }

    public void setDehExecuteType(String dehExecuteType) {
        this.dehExecuteType = dehExecuteType;
    }

    public Integer getDehRowCount() {
        return dehRowCount;
    }

    public void setDehRowCount(Integer dehRowCount) {
        this.dehRowCount = dehRowCount;
    }

    public String getDehContext() {
        return dehContext;
    }

    public void setDehContext(String dehContext) {
        this.dehContext = dehContext;
    }

    public String getDehStatus() {
        return dehStatus;
    }

    public void setDehStatus(String dehStatus) {
        this.dehStatus = dehStatus;
    }

    public String getDehError() {
        return dehError;
    }

    public void setDehError(String dehError) {
        this.dehError = dehError;
    }

    public String getDehBakData() {
        return dehBakData;
    }

    public void setDehBakData(String dehBakData) {
        this.dehBakData = dehBakData;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SysDpExecuteHistory that = (SysDpExecuteHistory) o;
        return Objects.equals(dehId, that.dehId) &&
                Objects.equals(dehUserId, that.dehUserId) &&
                Objects.equals(dehIp, that.dehIp) &&
                Objects.equals(dehExecuteTime, that.dehExecuteTime) &&
                Objects.equals(dehExecuteType, that.dehExecuteType) &&
                Objects.equals(dehRowCount, that.dehRowCount) &&
                Objects.equals(dehContext, that.dehContext) &&
                Objects.equals(dehStatus, that.dehStatus) &&
                Objects.equals(dehError, that.dehError) &&
                Objects.equals(dehBakData, that.dehBakData);
    }

    @Override
    public int hashCode() {
        return Objects.hash(dehId, dehUserId, dehIp, dehExecuteTime, dehExecuteType, dehRowCount, dehContext, dehStatus, dehError, dehBakData);
    }

    @Override
    public String toString() {
        return "SysDpExecuteHistory{" +
                "dehId=" + dehId +
                ", dehUserId=" + dehUserId +
                ", dehIp='" + dehIp + '\'' +
                ", dehExecuteTime=" + dehExecuteTime +
                ", dehExecuteType='" + dehExecuteType + '\'' +
                ", dehRowCount=" + dehRowCount +
                ", dehContext='" + dehContext + '\'' +
                ", dehStatus='" + dehStatus + '\'' +
                ", dehError='" + dehError + '\'' +
                ", dehBakData='" + dehBakData + '\'' +
                '}';
    }
}
